javax.el

## Class MapELResolver

- java.lang.Object
- - javax.el.ELResolver
  - - javax.el.MapELResolver

-     public class MapELResolver
      extends ELResolver

- - ### Field Summary

    - ### Fields inherited from class javax.el.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapELResolver()`
    `MapELResolver(boolean readOnly)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getCommonPropertyType(ELContext context, java.lang.Object base)`
    `java.util.Iterator<java.beans.FeatureDescriptor>` | `getFeatureDescriptors(ELContext context, java.lang.Object base)`
    `java.lang.Class<?>` | `getType(ELContext context, java.lang.Object base, java.lang.Object property)`
    `java.lang.Object` | `getValue(ELContext context, java.lang.Object base, java.lang.Object property)`
    `boolean` | `isReadOnly(ELContext context, java.lang.Object base, java.lang.Object property)`
    `void` | `setValue(ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)`

    - ### Methods inherited from class javax.el.ELResolver

      `invoke`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapELResolver

          public MapELResolver()

    - #### MapELResolver

          public MapELResolver(boolean readOnly)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue(ELContext context,
                                  java.lang.Object base,
                                  java.lang.Object property)
                                    throws java.lang.NullPointerException,
                                           PropertyNotFoundException,
                                           ELException

      Specified by:
        `getValue` in class `ELResolver`
      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `ELException`

    - #### getType

          public java.lang.Class<?> getType(ELContext context,
                                   java.lang.Object base,
                                   java.lang.Object property)
                                     throws java.lang.NullPointerException,
                                            PropertyNotFoundException,
                                            ELException

      Specified by:
        `getType` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose type is to be returned
      Returns:
        the type of the provided property
      Throws:
        `java.lang.NullPointerException` - If the supplied context is `null`
        `PropertyNotFoundException` - If the base/property combination provided to the resolver is one that the resolver can handle but no match was found or a match was found but was not readable
        `ELException` - Wraps any exception throw whilst resolving the property

    - #### setValue

          public void setValue(ELContext context,
                      java.lang.Object base,
                      java.lang.Object property,
                      java.lang.Object value)
                        throws java.lang.NullPointerException,
                               PropertyNotFoundException,
                               PropertyNotWritableException,
                               ELException

      Specified by:
        `setValue` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose value is to be set
        `value` - The value to set the property to
      Throws:
        `java.lang.NullPointerException` - If the supplied context is `null`
        `PropertyNotFoundException` - If the base/property combination provided to the resolver is one that the resolver can handle but no match was found
        `PropertyNotWritableException` - If the base/property combination provided to the resolver is one that the resolver can handle but the property was not writable
        `ELException` - Wraps any exception throw whilst resolving the property

    - #### isReadOnly

          public boolean isReadOnly(ELContext context,
                           java.lang.Object base,
                           java.lang.Object property)
                             throws java.lang.NullPointerException,
                                    PropertyNotFoundException,
                                    ELException

      Specified by:
        `isReadOnly` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property to be checked for read only status
      Returns:
        `true` if the identified property is read only, otherwise `false`
      Throws:
        `java.lang.NullPointerException` - If the supplied context is `null`
        `PropertyNotFoundException` - If the base/property combination provided to the resolver is one that the resolver can handle but no match was found
        `ELException` - Wraps any exception throw whilst resolving the property

    - #### getFeatureDescriptors

          public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors(ELContext context,
                                                                               java.lang.Object base)

      Specified by:
        `getFeatureDescriptors` in class `ELResolver`

    - #### getCommonPropertyType

          public java.lang.Class<?> getCommonPropertyType(ELContext context,
                                                 java.lang.Object base)

      Specified by:
        `getCommonPropertyType` in class `ELResolver`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.